package com.muyu.marketing.domain.model;


import com.muyu.marketing.domain.req.AcitvityTeamProdectSkuReq;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.List;

/**
 * 团购活动规格修改模型
 *
 * @author Wang
 * @date 2024/11/27 16:33
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class AcitvityTeamProdectSkuModel {

    private List<ActivityTeamProductSkuAddModel> productSkuAddModelList;

    private List<Long> idList;

    private List<ActivityTeamSkuUpdModel> teamSkuUpdModelList;

    public static AcitvityTeamProdectSkuModel teamProdectSkuModel(AcitvityTeamProdectSkuReq acitvityTeamProdectSkuReq) {
        return AcitvityTeamProdectSkuModel.builder()
                .productSkuAddModelList(acitvityTeamProdectSkuReq.getActivityTeamProductSkuAddModelList())
                .teamSkuUpdModelList(acitvityTeamProdectSkuReq.getActivityTeamSkuUpdModelList())
                .idList(acitvityTeamProdectSkuReq.getIdList())
                .build();
    }

}
