package com.muyu.marketing.domain.model;


import com.muyu.marketing.domain.req.ActivityTeamProjectSkuInfoUpdReq;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.math.BigDecimal;

/**
 * 商品规格修改
 *
 * @author Wang
 * @date 2024/11/27 15:01
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class ActivityTeamSkuUpdModel {

    /**
     * 规格id
     */
    private Long id;
    /**
     * 拼团价格
     */
    private BigDecimal teamPrice;

    /**
     * 拼团库存
     */
    private Long teamStock;

    public ActivityTeamSkuUpdModel teamSkuUpdModel(ActivityTeamProjectSkuInfoUpdReq activityTeamProjectSkuInfoUpdReq){
        return ActivityTeamSkuUpdModel.builder()
                .id(activityTeamProjectSkuInfoUpdReq.getId())
                .teamPrice(activityTeamProjectSkuInfoUpdReq.getTeamPrice())
                .teamStock(activityTeamProjectSkuInfoUpdReq.getTeamStock())
                .build();
    }


}
